require "rubygems"
require "rest_client"

# Interacting with TokyoTyrant via HTTP!
db = RestClient::Resource.new("http://localhost:1978")

db["key"].put "value 1"  # insert via HTTP
db["key"].put "value 2"  # update via HTTP

puts db["key"].get       # get via HTTP
# => "value 2"

db["key"].delete         # delete via HTTP
puts db["key"].get rescue RestClient::ResourceNotFound